Subject: bug#58531: 29.0.50; Wrong predicate used by map-elt gv getter

From: Stefan Monnier <[email-masked]>
Date: Sat, 15 Oct 2022 19:31:20 -0400

>> Hmmm looks like we forgot to mark the `testfn` arg obsolete here with
>> `advertised-calling-convention` like we did for `map-elt`.
>> Could you fix that oversight in your patch while you're at it?
>
> Sure, but generic functions don't play well with
> advertised-calling-convention: each subsequent cl-defmethod overwrites
> the preceding symbol-function, so any existing entry in
> advertised-signature-table is no longer found after that.

Good point.  Not a reason not to add an `advertised-calling-convention`,
but indeed we should fix that.  Could you make a bug report for that?

        Stefan